--[[ InfiniteFoods by tehMugwump
See modinfo.lua for version information.
-------------------------------------------------------------------------------
To install this mod, put this file in a new folder under
"..\mods" called "InfiniteFoods",

When you run the game you should see a screen pop up that lists this mod as being loaded.
--]]
-------------------------------------------------------------------------------
PrefabFiles = {
	"healingsalve",
	"mushrooms",
	"preparedfoods",
	"veggies",
	"icebox",
}
--inst:AddComponent("perish")
function InfiniteTools_RemovePerishable(inst)
	
	if inst.components.perishable then
		inst:RemoveComponent("perishable")
	end
end

--food stuffs:
AddPrefabPostInit("butter", InfiniteTools_RemovePerishable)
AddPrefabPostInit("butterflywings", InfiniteTools_RemovePerishable)
AddPrefabPostInit("froglegs", InfiniteTools_RemovePerishable)
AddPrefabPostInit("froglegs_cooked", InfiniteTools_RemovePerishable)
AddPrefabPostInit("hambat", InfiniteTools_RemovePerishable)
AddPrefabPostInit("hats", InfiniteTools_RemovePerishable)
AddPrefabPostInit("honey", InfiniteTools_RemovePerishable)
-- all Mushroom variants:
AddPrefabPostInit("mushrooms", InfiniteTools_RemovePerishable) -- catch all
AddPrefabPostInit("mushrooms_cooked", InfiniteTools_RemovePerishable)
AddPrefabPostInit("red_cap", InfiniteTools_RemovePerishable)
AddPrefabPostInit("blue_cap", InfiniteTools_RemovePerishable)
AddPrefabPostInit("green_cap", InfiniteTools_RemovePerishable)
AddPrefabPostInit("red_cap_cooked", InfiniteTools_RemovePerishable)
AddPrefabPostInit("blue_cap_cooked", InfiniteTools_RemovePerishable)
AddPrefabPostInit("green_cap_cooked", InfiniteTools_RemovePerishable)
--------------
AddPrefabPostInit("petals", InfiniteTools_RemovePerishable)
AddPrefabPostInit("petals_evil", InfiniteTools_RemovePerishable)
AddPrefabPostInit("seeds", InfiniteTools_RemovePerishable)
AddPrefabPostInit("seeds_cooked", InfiniteTools_RemovePerishable)
--
AddPrefabPostInit("egg", InfiniteTools_RemovePerishable)
AddPrefabPostInit("bird_egg", InfiniteTools_RemovePerishable)
AddPrefabPostInit("bird_egg_cooked", InfiniteTools_RemovePerishable)

AddPrefabPostInit("tallbirdegg", InfiniteTools_RemovePerishable)
AddPrefabPostInit("tallbirdegg_cooked", InfiniteTools_RemovePerishable)
--
AddPrefabPostInit("fish", InfiniteTools_RemovePerishable)
AddPrefabPostInit("fish_cooked", InfiniteTools_RemovePerishable)
-- all Trunk variants:
AddPrefabPostInit("trunk", InfiniteTools_RemovePerishable) -- Koalefant Trunk catch all
AddPrefabPostInit("trunk_cooked", InfiniteTools_RemovePerishable)
AddPrefabPostInit("trunk_summer", InfiniteTools_RemovePerishable)
AddPrefabPostInit("trunk_winter", InfiniteTools_RemovePerishable)
-- all Meat variants:
AddPrefabPostInit("meat", InfiniteTools_RemovePerishable)
--AddPrefabPostInit("meat_small", InfiniteTools_RemovePerishable) -- morsel?
AddPrefabPostInit("smallmeat", InfiniteTools_RemovePerishable)

AddPrefabPostInit("cookedmeat", InfiniteTools_RemovePerishable)
AddPrefabPostInit("meat_dried", InfiniteTools_RemovePerishable)
AddPrefabPostInit("monstermeat", InfiniteTools_RemovePerishable)
AddPrefabPostInit("cookedmonstermeat", InfiniteTools_RemovePerishable)
AddPrefabPostInit("monstermeat_dried", InfiniteTools_RemovePerishable)
AddPrefabPostInit("cookedsmallmeat", InfiniteTools_RemovePerishable)
AddPrefabPostInit("smallmeat_dried", InfiniteTools_RemovePerishable)
AddPrefabPostInit("drumstick", InfiniteTools_RemovePerishable)
AddPrefabPostInit("drumstick_cooked", InfiniteTools_RemovePerishable)
--Caves
AddPrefabPostInit("lightbulb", InfiniteTools_RemovePerishable)
AddPrefabPostInit("batwing", InfiniteTools_RemovePerishable)
AddPrefabPostInit("batwing_cooked", InfiniteTools_RemovePerishable)

